com.icesoft.components.accessible.outputprogress

## Class OutputProgress

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - com.icesoft.components.accessible.outputprogress.OutputProgress

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class OutputProgress
      extends javax.faces.component.UIComponentBase

  OutputProgress is a JSF component class repersenting the ICEfaces progress bar. This component can be used to output progress information to users when a long running server-side process is necessary. The component can be run in 2 modes; "determinate" and "indeterminate".

  OutputProgress extends the JSF UIComponentBase class.

  By default this component is rendered by the "com.icesoft.faces.Bar" renderer type.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputProgress()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundClass()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFillClass()`
    `boolean` | `getIndeterminate()` Deprecated.
    `java.lang.String` | `getIndeterminateActiveClass()`
    `java.lang.String` | `getIndeterminateInactiveClass()`
    `java.lang.String` | `getLabel()` Return the value of the `label` property.
    `java.lang.String` | `getLabelComplete()` Return the value of the `labelComplete` property.
    `java.lang.String` | `getLabelPosition()` Return the value of the `labelPosition` property.
    `java.lang.String` | `getProgressLabel()` Return the value of the `progressLabel` property.
    `java.lang.String` | `getProgressLabelComplete()` Return the value of the `progressLabelComplete` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTextClass()`
    `int` | `getValue()` Return the value of the `value` property.
    `boolean` | `isIndeterminate()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setIndeterminate(boolean b)`
    `void` | `setLabel(java.lang.String label)` Set the value of the `label` property.
    `void` | `setLabelComplete(java.lang.String labelComplete)` Set the value of the `labelComplete` property.
    `void` | `setLabelPosition(java.lang.String labelPosition)` Set the value of the `labelPosition` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValue(int value)` Set the value of the `value` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputProgress

          public OutputProgress()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the value of the `label` property.

    - #### setLabelPosition

          public void setLabelPosition(java.lang.String labelPosition)

      Set the value of the `labelPosition` property.

    - #### setLabelComplete

          public void setLabelComplete(java.lang.String labelComplete)

      Set the value of the `labelComplete` property.

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

    - #### setValue

          public void setValue(int value)

      Set the value of the `value` property.

    - #### getValue

          public int getValue()

      Return the value of the `value` property.

    - #### getLabel

          public java.lang.String getLabel()

      Return the value of the `label` property.

    - #### isIndeterminate

          public boolean isIndeterminate()

    - #### getIndeterminate

          public boolean getIndeterminate()

      Deprecated.

      Using isIndeterminate instead.

    - #### setIndeterminate

          public void setIndeterminate(boolean b)

    - #### getProgressLabel

          public java.lang.String getProgressLabel()

      Return the value of the `progressLabel` property.

    - #### getLabelPosition

          public java.lang.String getLabelPosition()

      Return the value of the `labelPosition` property.

    - #### getLabelComplete

          public java.lang.String getLabelComplete()

      Return the value of the `labelComplete` property.

    - #### getProgressLabelComplete

          public java.lang.String getProgressLabelComplete()

      Return the value of the `progressLabelComplete` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

    - #### getTextClass

          public java.lang.String getTextClass()

    - #### getBackgroundClass

          public java.lang.String getBackgroundClass()

    - #### getFillClass

          public java.lang.String getFillClass()

    - #### getIndeterminateActiveClass

          public java.lang.String getIndeterminateActiveClass()

    - #### getIndeterminateInactiveClass

          public java.lang.String getIndeterminateInactiveClass()

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.